<?php

namespace Tobuli\Lookups\Scopes;

use Yajra\Datatables\Contracts\DataTableScopeContract;

class DeviceInactiveScope implements DataTableScopeContract
{
    public function apply($query)
    {
        $minutes = settings('main_settings.default_object_inactive_timeout');

        return $query->offline($minutes);
    }
}